Bug 1075034 - KDE crashes on start with 4.14.11 kernel
KDE crashes on start with 4.14.11 kernel
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Factory
: P5 - None : Critical (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks: 1075183
  Show dependency treegraph
 
Reported: 2018-01-08 15:16 UTC by Aleksey Kontsevich
Modified: 2018-01-18 09:27 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksey Kontsevich 2018-01-08 15:16:31 UTC
After yesterday's update to kernel version 4.14.11 KDE began to crash on start. Booted with 4.14.9 - works normal. Hardware: AMD Phenom(tm) II X4 965 Processor. Removed 4.14.11 for now and protected kernel from updates. Think error connected with recent Intel hardware bugs patches which are unnecessary for AMD processors.
Comment 1 Takashi Iwai 2018-01-08 15:19:57 UTC
Could you check whether nopti boot option makes the system working again?
If yes, please test the kernel in OBS Kernel:stable repo, too.
Comment 2 Aleksey Kontsevich 2018-01-08 15:28:02 UTC
How to add "nopti" option on boot?
Comment 3 Takashi Iwai 2018-01-08 15:36:13 UTC
Press "e" at GRUB screen, then it will allow you editing the lines.
Append the word nopti to the line starting "linux /boot/vmlinuz.....", then press Ctrl-X or F10 to continue booting.
Comment 4 Aleksey Kontsevich 2018-01-08 16:19:43 UTC
Seems kernel 4.14.11 works fine with "nopti" option think you need to set it by default for AMD processors.
Comment 5 Takashi Iwai 2018-01-08 16:51:29 UTC
OK, then could you check whether the kernel in OBS Kernel:stable repo works without nopti option?  The fix should have included there.
  http://download.opensuse.org/repositories/Kernel:/stable/standard/
Comment 6 Aleksey Kontsevich 2018-01-08 17:34:53 UTC
(In reply to Takashi Iwai from comment #5)
> OK, then could you check whether the kernel in OBS Kernel:stable repo works
> without nopti option?  The fix should have included there.
>   http://download.opensuse.org/repositories/Kernel:/stable/standard/

4.14.12 crashes without nopti. Will stay on 4.14.9 for now
Comment 7 Aleksey Kontsevich 2018-01-08 21:02:28 UTC
Bad Tumbleweed repos do not contain old packages versions for kernel and other applications for such cases. Good to add.
Comment 8 Jiri Slaby 2018-01-09 13:43:35 UTC
.

*** This bug has been marked as a duplicate of bug 1074869 ***
Comment 9 Aleksey Kontsevich 2018-01-10 00:41:43 UTC
KDE still crashes with latest version from factory: 4.14.12-1.4.
Comment 10 Jiri Slaby 2018-01-10 08:23:40 UTC
Factory has not received the kernel yet -- see:
https://build.opensuse.org/request/show/563126

Or monitor changelog and check whether it mentions these bugs.

*** This bug has been marked as a duplicate of bug 1074869 ***
Comment 11 Aleksey Kontsevich 2018-01-17 12:10:29 UTC
KDE still crashes with latest kernel 4.14.12-1.8 from factory. When good kernel be available?
Comment 12 Jiri Slaby 2018-01-18 09:27:15 UTC
4.14.12 does not have the fix.